Resolvendo Problema com dispositivo /dev/dsp ao programar em JME

Nas versões mais novas do Ubuntu o dispositivo /dev/dsp simplesmente não existe, pois ele pertence ao pacote OSS, e o modulo não vem instalado, muitas aplicações utilizam o OSS, por este motivo o pacote Pulse Audio vem com um “emulador” chamado padsp, que emula as chamadas ao /dev/dsp,redirecionando ao proprio PulseAudio, como o Pulse Audio vem instalado no Ubuntu, para utiliza-lo, use o comando:

padsp nome_da_aplicacao

Para fazer com que suas aplicações JME rodem com áudio execute o NETBEANS desta forma

padsp netbeans

Se você utiliza o gnome, adicione o comando em um lançador:

Até a próxima;

Abraço..

Se gostou deixa um comentário….

Instalando o JDK da Sun/Oracle no Ubuntu 10.4

Vamos instalar e configurar o JDK  no Ubuntu e depois substituir a o OPEN JDK pela versão da Oracle, que é mais compativel com a maioria dos sites que existem por aí, e sem nem sentir o cheiro do console, apenas usando as ferramentas gráficas disponiveis no Ubuntu, elas estão aí pra isso.

“Boa sorte…”

Siga os passos

Va até Aplicativos –>Central de Programas do Ubuntu –> instale os seguintes pacotes: Configurador Alternatives, default-jdk
Escolhi instalar o JDK ao inves da JRE, pois assim estou sendo útil a programadores e usuários não nerds desenvolvedores.

Execute o programa Configurador Alternatives em Aplicativos–>Ferramentas de Sistema.

Este programa serve para você configurar as alternativas para inúmeros softwares, então na maioria das vezes, as  alternativas livres e programas devidamente alterados para funcionarem no Ubuntu, são mantidos como PADRÃO, para o JDK da Oracle, temos o OpenJDK , para o Mozilla Firefox temos Mozila Firefox for Ubuntu, o problema é que as vezes esses softwares não são totalmente compatíveis com nossas necessidades.

Agora altere todas as alternativas que tem relação com java da seguinte forma, por exemplo a appletviewer:

1- Selecione appletviewer no esquerda,note que a no meu caso a alternativa padrão é o OpenJdk, então clique no botão Adicionar.

2- Ao clicar em Adicionar, clique no botão Navegar..

3- Agora você deve selecionar o Java da Oracle conforme a imagem:

4- Agora marque a nova alternativa como padrão, como a figura abaixo:

5- Se você desejar, realize o mesmo procedimento para todas as outra opções(extcheck, idlj,jar, jarsigner, javajavac, javadoc, javah, javap, javaws, jconsole, jdb, jhat, jinfo, jmap, jps, jrunscript), as que eu deixe em negrito são as que eu acho que você deveria realizar o procedimento.

6- Agora o ultimo e mais importante passo, vamos configurar o plugin java para o mozilla-firefox (Oba! Sem problemas com o Banco do Brasil), configure conforme a imagem abaixo:

Até a próxima…

Abrass

Resolvendo problema na instalação do Flash no Debian

Para você que esta vendo essa mensagem :

E: O pacote adobe-flashplugin precisa ser reinstalado, mas não foi possível encontrar um arquivo para o mesmo.

E: Erro interno abrindo o cache (1). Por favor reporte.”

Você tentou de tudo, reinstalar, abrir o synaptic, e nada, todas as ferramentas de gerenciamento de pacotes estão travadas, para resolver, é só realizar os passos abaixo:

1. Como root:

cd /var/lib/dpkg/info

2. Remover os seguintes arquivos:

adobe-flashplugin.list

adobe-flashplugin.prerm

adobe-flashplugin.postinst

3. Reinstalar o pacote:

Esse problema é causado por uma instalação incompleta de algum pacote, ou seja, as ferramentas de gerenciamento de pacotes ficam “travadas” até que instalação seja completada, mas como completar a instalação se ela esta bloqueada? É necessario apagar os arquivos que estavam controlando a instalação daquele pacote.

Thats all Folks!!

Esse post pertencia ao meu antigo blog, nos comentarios,pude perceber que para algumas pessoas a solução acima funcionou para outras não, algumas pessoas comparatilharam suas soluções, então segue abaixo esta sugestões:

Marcos

ensaius.wordpress.com

Consegui deletar o programa com esse comando:

sudo dpkg –remove –force-remove-reinstreq adobe-flashplugin

Lourilúcio

lourilucio@gmail.com

Amigo, no meu caso só isso não foi suficiente… depois de muito ralar encontrei essa ajuda que salvou minha instalação:

$ sudo rm /var/lib/dpkg/info/adobe-flashplugin.prerm

$ sudo dpkg-reconfigure adobe-flashplugin –force

$ sudo dpkg –purge –force-all adobe-flashplugin

$ sudo apt-get install flashplugin-nonfree

instalar pelo repositório o ubuntu-restrict-extra